=== debian/changelog ===
deepin-movie-reborn (3.2.3-2) unstable; urgency=high

  * Reconfirm symbols for libdmr0.1 using buildd logs.
    Closes: #893622
  * d/control: Apply "wrap-and-sort -abst".
  * d/rules: Use "dh-missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Fri, 23 Mar 2018 21:44:58 +0800

deepin-movie-reborn (3.2.3-1) unstable; urgency=low

  * Initial release (Closes: #871980)

 -- Yangfl <mmyangfl@gmail.com>  Sat, 17 Mar 2018 10:46:26 +0800
