## deepin-movie-reborn 3.2.9

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 find_package(Qt5Sql)
 
 pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkwidget)
+pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkcore)
 pkg_check_modules(Mpv REQUIRED IMPORTED_TARGET mpv)
 pkg_check_modules(Xcb REQUIRED IMPORTED_TARGET xcb xcb-aux
     xcb-proto xcb-ewmh xcb-shape)
@@ -77,7 +78,5 @@
     DESTINATION share/icons/hicolor/scalable/apps
     RENAME deepin-movie.svg)
 
-install(DIRECTORY ${PROJECT_SOURCE_DIR}/src/dman/deepin-movie DESTINATION share/dman)
-
 add_subdirectory(libdmr)
 add_subdirectory(test)
