=== debian/changelog ===
deepin-movie-reborn (3.2.9-1) unstable; urgency=medium

  * New upstream version 3.2.9.
  * debian/control:
    + Build-depends on libqt5opengl5-desktop-dev to avoid build attempt
      on arm* (Closes: #906691).
    + Bump Standards-Version to 4.2.0 (no changes needed).
    + Use strict version requirement between deepin-movie and libdmr.
  * debian/symbols:
    + Drop libdmr symbols, use shlibs file instead since no other
      application will use libdmr in the foreseeable future.
  * debian/rules: Remove useless dh_install override.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 20 Aug 2018 22:31:56 -0400

deepin-movie-reborn (3.2.8-1) unstable; urgency=medium

  * New upstream version 3.2.8
  * Bump Standards-Version to 4.1.5 (no changes needed).
  * Update symbols file.
  * d/deepin-movie.install: Drop usr/share/dman/deepin-movie/* .

 -- Yanhao Mo <yanhaocs@gmail.com>  Sat, 21 Jul 2018 10:54:14 +0800

deepin-movie-reborn (3.2.7-2) unstable; urgency=medium

  * Reconfirm symbol information using buildd logs.

 -- Yanhao Mo <yanhaocs@gmail.com>  Tue, 12 Jun 2018 10:27:59 +0800

deepin-movie-reborn (3.2.7-1) unstable; urgency=medium

  * New upstream version 3.2.7
    + Run async append job conditionally.
    + libdmr: Support pause on start.

 -- Yanhao Mo <yanhaocs@gmail.com>  Sun, 10 Jun 2018 10:30:00 +0800

deepin-movie-reborn (3.2.5-3) unstable; urgency=medium

  * d/control: Explicitly add Build-Dependency mesa-common-dev
    to deal with FTBFS on armel/armhf platforms.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 21 May 2018 00:19:24 +0800

deepin-movie-reborn (3.2.5-2) unstable; urgency=medium

  * Reconfirm symbol information using buildd logs.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 18 May 2018 09:32:50 +0800

deepin-movie-reborn (3.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols information of libdmr0.1 using pkg-kde-tools.

 -- Yanhao Mo <yanhaocs@gmail.com>  Sat, 05 May 2018 15:43:01 +0800

deepin-movie-reborn (3.2.4-1) unstable; urgency=medium

  * New upstream release.
  * d/control: add uploader Yanhao Mo <yanhaocs@gmail.com>
  * d/control: change maintainer field back to
    pkg-deepin-devel@lists.alioth.debian.org

 -- Yanhao Mo <yanhaocs@gmail.com>  Fri, 04 May 2018 15:02:05 +0800

deepin-movie-reborn (3.2.3-3) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Use team+pkg-deepin@tracker.debian.org in maintainer field.
  * Mark libdmr0.1 as M-A: same.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 20 Apr 2018 17:25:43 +0800
