=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <073plan@gmail.com>,
+ Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
  cmake,
  debhelper (>= 11~),
@@ -13,11 +14,13 @@
  libavresample-dev,
  libavutil-dev,
  libdtkcore-bin,
+ libdtkcore-dev,
  libdtkwidget-dev,
  libdvdnav-dev,
  libffmpegthumbnailer-dev,
  libmpv-dev,
  libpulse-dev,
+ libqt5opengl5-desktop-dev,
  libqt5sql5-sqlite,
  libqt5svg5-dev,
  libqt5x11extras5-dev,
@@ -27,12 +30,14 @@
  libxcb-util0-dev,
  libxcb1-dev,
  libxtst-dev,
+ mesa-common-dev,
  pkg-config,
+ pkg-kde-tools,
  qtmultimedia5-dev,
  qttools5-dev,
  x11proto-record-dev,
  xcb-proto,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: https://github.com/linuxdeepin/deepin-movie-reborn
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn
@@ -40,6 +45,7 @@
 Package: deepin-movie
 Architecture: any
 Depends:
+ libdmr0.1 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Deepin movie player
@@ -72,6 +78,7 @@
 Package: libdmr0.1
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
