## deepin-movie-reborn 3.2.10

=== debian/changelog ===
deepin-movie-reborn (3.2.10-1) unstable; urgency=medium

  * New upstream version 3.2.10.
  * debian/control: Update my uploader email address and use the
    @debian.org one.
  * debian/control: Bump Standards-Version to 4.2.1 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Sun, 21 Oct 2018 10:13:12 -0400
