=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
- Boyuan Yang <073plan@gmail.com>,
+ Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
  cmake,
@@ -37,7 +37,7 @@
  qttools5-dev,
  x11proto-record-dev,
  xcb-proto,
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/linuxdeepin/deepin-movie-reborn
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn
