## deepin-movie-reborn 3.2.14

=== debian/changelog ===
deepin-movie-reborn (3.2.14-1) unstable; urgency=medium

  * New upstream version 3.2.14.
  * debian/control: Drop Build-dependency on libavresample-dev,
    this package is deprecated upstream.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Nov 2018 16:30:51 -0500
