=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  debhelper (>= 11~),
  libavcodec-dev,
  libavformat-dev,
- libavresample-dev,
  libavutil-dev,
  libdtkcore-bin,
  libdtkcore-dev,
