## deepin-movie-reborn 3.2.18

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 pkg_check_modules(Xcb REQUIRED IMPORTED_TARGET xcb xcb-aux
     xcb-proto xcb-ewmh xcb-shape)
 pkg_check_modules(AV REQUIRED IMPORTED_TARGET libavformat
-    libavutil libavcodec libavresample)
+    libavutil libavcodec)
 # IMPORTED_TARGET failed to work for some of libs under flatpak env
 pkg_check_modules(Other REQUIRED libffmpegthumbnailer
     libpulse libpulse-simple openssl dvdnav)
