=== debian/changelog ===
deepin-movie-reborn (3.2.18-1) unstable; urgency=medium

  * New upstream release 3.2.18.
  * debian/control:
    + Build-depend on debhelper-compat (= 12) instead of using
      debian/compat.
    + Bump Standards-Version to 4.3.0.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Jan 2019 10:24:48 -0500
