## deepin-movie-reborn 3.2.20

=== debian/changelog ===
deepin-movie-reborn (3.2.20-1) unstable; urgency=medium

  * New upstream version 3.2.20

 -- Yanhao Mo <yanhaocs@gmail.com>  Tue, 26 Feb 2019 11:32:06 +0800
