=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
  cmake,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
@@ -36,7 +36,8 @@
  qttools5-dev,
  x11proto-record-dev,
  xcb-proto,
-Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Homepage: https://github.com/linuxdeepin/deepin-movie-reborn
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn
