## deepin-movie-reborn 5.0.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -55,7 +55,9 @@
 set_source_files_properties(${TS}
     PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/src/translations)
 
-qt5_create_translation(QM ${SRCS} ${TS})
+if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
+    qt5_create_translation(QM ${SRCS} ${TS})
+endif ()
 # ~
 
 add_executable(${CMD_NAME} ${SRCS} ${RCS} ${QM})
