=== debian/changelog ===
deepin-movie-reborn (5.0.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:15:33 +0100

deepin-movie-reborn (5.0.0-1) unstable; urgency=medium

  * New upstream version 5.0.0.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
  * debian/patches: Add patch to fix FTBFS with new dtkcore.

 -- Boyuan Yang <byang@debian.org>  Tue, 15 Oct 2019 14:57:31 -0400
