=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
  x11proto-record-dev,
  xcb-proto,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/linuxdeepin/deepin-movie-reborn
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn
