=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,7 @@
 
 
 %:
-	dh $@
-
-override_dh_install:
-	dh_install
-	# tmp remove dman
-	rm -r debian/deepin-movie/usr/share/dman/
+	dh $@ --with pkgkde_symbolshelper
 
 override_dh_missing:
 	dh_missing --fail-missing
