=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,16 +25,22 @@
     libavutil libavcodec)
 # IMPORTED_TARGET failed to work for some of libs under flatpak env
 pkg_check_modules(Other REQUIRED libffmpegthumbnailer
-    libpulse libpulse-simple openssl dvdnav)
+    libpulse libpulse-simple openssl dvdnav gsettings-qt)
 
 qt5_add_resources(RCS resources.qrc)
+qt5_add_resources(RCS icons/theme-icons.qrc)
 if (${Dtk_VERSION} LESS 2.0.6.1)
     qt5_add_resources(RCS theme.qrc)
 endif()
 
 
-file(GLOB_RECURSE SRCS LIST_DIRECTORIES false common/*.cpp widgets/*.cpp libdmr/*.cpp)
+file(GLOB_RECURSE SRCS LIST_DIRECTORIES false common/*.cpp widgets/*.cpp libdmr/*.cpp vendor/*.cpp vendor/mpris-qt/*.cpp vendor/dbusextended-qt/*.cpp)
 list(APPEND SRCS main.cpp)
+
+include_directories(
+        ${CMAKE_CURRENT_SOURCE_DIR}/vendor/mpris-qt
+        ${CMAKE_CURRENT_SOURCE_DIR}/vendor/dbusextended-qt
+)
 
 # mpv backend
 file(GLOB_RECURSE MPV_SRCS LIST_DIRECTORIES false backends/mpv/*.cpp)
@@ -42,13 +48,16 @@
 list(APPEND PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/src/backends/mpv)
 #~
 
+set (DTK_SETTINGS_TOOLS_EXECUTABLE ${DTKCORE_TOOL_DIR}/dtk-settings)
+if (EXISTS ${DTK_SETTINGS_TOOLS_EXECUTABLE})
 add_custom_target(json_i18n ALL
-    /usr/lib/dtk2/dtk-settings resources/data/settings.json -o common/settings_translation.cpp
+        ${DTKCORE_TOOL_DIR}/dtk-settings resources/data/settings.json -o common/settings_translation.cpp
     COMMAND sed -i "s,#include .*,#include <DSettings>," common/settings_translation.cpp
     VERBATIM
     SOURCES resources/data/settings.json
     WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/src/)
 
+endif ()
 ## translations
 file(GLOB TS LIST_DIRECTORIES false translations/${CMD_NAME}*.ts)
 
@@ -61,7 +70,7 @@
 # ~
 
 add_executable(${CMD_NAME} ${SRCS} ${RCS} ${QM})
-add_dependencies(${CMD_NAME} json_i18n)
+
 target_include_directories(${CMD_NAME} PUBLIC ${PROJECT_INCLUDE})
 
 set(TARGET_LIBS X11 Xext Xtst PkgConfig::Xcb Qt5::Widgets Qt5::X11Extras Qt5::Network
@@ -76,6 +85,8 @@
     FILES_MATCHING PATTERN "*.qm")
 install(FILES ${PROJECT_SOURCE_DIR}/src/deepin-movie.desktop
     DESTINATION share/applications)
+install(FILES ${CMAKE_SOURCE_DIR}/src/libdmr/com.deepin.deepin-movie.gschema.xml
+    DESTINATION /usr/share/glib-2.0/schemas)
 install(FILES ${PROJECT_SOURCE_DIR}/src/resources/icons/logo-big.svg
     DESTINATION share/icons/hicolor/scalable/apps
     RENAME deepin-movie.svg)
