=== debian/changelog ===
deepin-movie-reborn (5.7.6.147-1) unstable; urgency=medium

  [ Tu Qinggang ]
  * New upstream release 5.7.6.147.

  [ Arun Kumar Pariyar ]
  * debian/control:
    + Bump Standards-Version to 4.5.1.
    + Bump debhelper compat to v13.
    + Update build dependency, tighten libdtkwidget-dev to (>=5.2~).
    + Update binary package dependencies.
    + Add Arun Kumar Pariyar to Uploaders.
  * debian/rules:
    + Ensure proper build.
  * debian/patches:
    - Drop use-libdmr.patch and upstream-issue-48.patch.
    + Add fix to build with Qt5.15+ (Closes: #975744).
    + Add patch to use system library instead of src/vendor.
  * debian/upstream: Set upstream metadata fields.
  * debian/clean: Cleanup src/vendor/{dbusextended-qt,mpris-qt}.
  * debian/copyright: Update license information.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 06 Dec 2020 21:03:08 +0545
