=== debian/control ===
--- 
+++ 
@@ -6,38 +6,39 @@
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
+ Arun Kumar Pariyar <openarungeek@gmail.com>,
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
- libdtkcore-bin,
- libdtkcore-dev,
- libdtkwidget-dev,
+ libdbusextended-qt5-dev,
+ libdtkcore5-bin,
+ libdtkwidget-dev (>=5.2~),
  libdvdnav-dev,
  libffmpegthumbnailer-dev,
+ libgsettings-qt-dev,
+ libmpris-qt5-dev,
  libmpv-dev,
  libpulse-dev,
- libqt5opengl5-desktop-dev,
  libqt5sql5-sqlite,
  libqt5svg5-dev,
  libqt5x11extras5-dev,
  libssl-dev,
  libxcb-ewmh-dev,
  libxcb-shape0-dev,
- libxcb-util0-dev,
+ libxcb-util-dev,
  libxcb1-dev,
  libxtst-dev,
- mesa-common-dev,
  pkg-config,
- pkg-kde-tools,
  qtmultimedia5-dev,
  qttools5-dev,
+ qttools5-dev-tools,
  x11proto-record-dev,
  xcb-proto,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/linuxdeepin/deepin-movie-reborn
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn
@@ -46,6 +47,7 @@
 Architecture: any
 Depends:
  libdmr0.1 (= ${binary:Version}),
+ va-driver-all,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Deepin movie player
@@ -62,7 +64,9 @@
 Architecture: any
 Depends:
  libdmr0.1 (= ${binary:Version}),
+ libgsettings-qt-dev,
  ${misc:Depends},
+ ${shlibs:Depends},
 Multi-Arch: same
 Description: Deepin movie player - widget library (development files)
  Deepin Movie provides an intuitive easy to use operation interface and rich
