## deepin-movie-reborn 5.7.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,3 +31,8 @@
 configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h @ONLY)
 
 add_subdirectory(src)
+add_subdirectory(examples/test)
+
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    add_subdirectory(tests)
+endif()
