=== src/libdmr/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 add_definitions(-D_LIBDMR_)
 
 pkg_check_modules(FFTHUMB REQUIRED libffmpegthumbnailer)
+pkg_check_modules(AV REQUIRED IMPORTED_TARGET libavformat libavutil libavcodec)
 
 include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
 
@@ -20,8 +21,11 @@
     ${PROJECT_SOURCE_DIR}/../common ${PROJECT_SOURCE_DIR}/../backends/mpv)
 
 target_link_libraries(${CMD_NAME} PkgConfig::Dtk Qt5::Widgets Qt5::Concurrent
-    Qt5::Network Qt5::X11Extras Qt5::Sql Qt5::DBus PkgConfig::Mpv PkgConfig::AV
-    ${FFTHUMB_LIBRARIES} pthread GL)
+    Qt5::Network Qt5::X11Extras Qt5::Sql Qt5::Svg Qt5::DBus PkgConfig::AV
+    ${FFTHUMB_LIBRARIES} GL)
+#target_link_libraries(${CMD_NAME} PkgConfig::Dtk Qt5::Widgets Qt5::Concurrent
+#    Qt5::Network Qt5::X11Extras Qt5::Sql Qt5::DBus PkgConfig::AV GL png jpeg)
+
 
 include(GNUInstallDirs)
 
@@ -35,7 +39,6 @@
     playlist_model.h
     movie_configuration.h
     compositing_manager.h
-    dvd_utils.h
     utils.h
     online_sub.h
     DESTINATION include/libdmr)
