=== debian/changelog ===
deepin-movie-reborn (5.7.15-2) unstable; urgency=medium

  * debian/patches:
    + Add a patch to define GLAPIENTRY to fix FTBFS on armel/armhf.
  * debian/control:
    + Tighten build dependency versions.
 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Thu, 11 Nov 2021 01:09:53 +0545

deepin-movie-reborn (5.7.15-1) unstable; urgency=medium

  * New upstream release 5.7.15 (Closes: #997202).
  * debian/control
    + Update dependency.
    + Update Standards-Version to 4.6.0.1.
    + Add Clay Stan to Uploaders.
  * debian/patch
    - Deleted the previous patch, because they have
      been incorporated into the source code.
    + Add a patch to remove SetCanShowInUI,
      it has been removed in the new version of mpris player.
    + Add a patch to update manual install path.
    + Add a patch to fix theme does not work.
  * debian/copyright: Update license information.
  * debian/clean: removed,not included in the source code.
  * debian/deepin-movie.install: install manual.
  * debian/libdmr0.1.shlibs: update version.

 -- Clay Stan <claystan97@gmail.com>  Mon, 01 Nov 2021 14:37:13 +0800
