=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
  Arun Kumar Pariyar <openarungeek@gmail.com>,
+ Clay Stan <claystan97@gmail.com>,
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -14,8 +15,8 @@
  libavformat-dev,
  libavutil-dev,
  libdbusextended-qt5-dev,
- libdtkcore5-bin,
- libdtkwidget-dev (>=5.2~),
+ libdtkcore5-bin (>=5.5~),
+ libdtkwidget-dev (>=5.5~),
  libdvdnav-dev,
  libffmpegthumbnailer-dev,
  libgsettings-qt-dev,
@@ -38,7 +39,7 @@
  x11proto-record-dev,
  xcb-proto,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/linuxdeepin/deepin-movie-reborn
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn
@@ -46,7 +47,15 @@
 Package: deepin-movie
 Architecture: any
 Depends:
+ libavcodec58 (>=7:4.0),
+ libavformat58 (>=7:4.1),
+ libavutil56 (>=7:4.0),
  libdmr0.1 (= ${binary:Version}),
+ libffmpegthumbnailer4v5,
+ libmpris-qt5-1 (>=0.1.0.1),
+ libmpv1 (>=0.29),
+ libpulse0 (>=0.99.1),
+ libqt5concurrent5 (>=5.6.0~rc),
  va-driver-all,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -66,7 +75,6 @@
  libdmr0.1 (= ${binary:Version}),
  libgsettings-qt-dev,
  ${misc:Depends},
- ${shlibs:Depends},
 Multi-Arch: same
 Description: Deepin movie player - widget library (development files)
  Deepin Movie provides an intuitive easy to use operation interface and rich
@@ -84,6 +92,14 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ libavcodec58 (>=7:4.0),
+ libavformat58 (>=7:4.1),
+ libavutil56 (>=7:4.0),
+ libffmpegthumbnailer4v5,
+ libmpris-qt5-1 (>=0.1.0.1),
+ libmpv1 (>=0.29),
+ libpulse0 (>=0.99.1),
+ libqt5concurrent5 (>=5.6.0~rc),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Deepin movie player - widget library
