=== debian/rules ===
--- 
+++ 
@@ -4,18 +4,15 @@
 include /usr/share/dpkg/default.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-
-export QT_SELECT = 5
-
+export DEB_CXXFLAGS_MAINT_APPEND = -Wl,-z,now
+export QT_SELECT := 5
 
 %:
 	dh $@
 
 override_dh_missing:
 	dh_missing --fail-missing
-	
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	  -DCMAKE_BUILD_TYPE=Release \
